%define anolis_release 1
%undefine __cmake_in_source_build

Name:           wpebackend-fdo
Version:        1.14.2
Release:        %{anolis_release}%{?dist}
Summary:        A WPE backend designed for Linux desktop systems
License:        BSD
URL:            https://github.com/Igalia/%{name}
Source0: 	https://github.com/Igalia/WPEBackend-fdo/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc-c++ gnupg2 meson
BuildRequires:  pkgconfig(egl) pkgconfig(epoxy) pkgconfig(gio-2.0) pkgconfig(gobject-2.0) pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(wayland-client) pkgconfig(wayland-server) pkgconfig(wpe-1.0)

%description
WPE is a WebKit-based browser engine that is commonly used in embedded
systems and set-top boxes. However, it can also be used on Linux desktop
systems, and there are backends available specifically for this purpose,
such as the WPEBackend-fdo backend. WPEBackend-fdo is designed for use
with the Linux desktop environment and implements the Freedesktop.org
standards for a consistent desktop experience.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1 

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/libWPEBackend-fdo-1.0.so.1*

%files devel
%{_includedir}/wpe-fdo-1.0
%{_libdir}/libWPEBackend-fdo-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%files doc
%doc NEWS

%changelog
* Thu Dec 21 2023 happy_orange <songnannan@linux.alibaba.com> - 1.14.2-1
- update to 1.14.2

* Wed Apr 12 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 1.14.0-2
- Refact spec

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14.0-1
- update to 1.14.0

* Fri Apr 15 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.12.0-1
- init from upstream
